/* 
   PXKEventFactory.h

   This bunch of Objective-C functions (not methods)
   provide NSEvents on demand by getting X events
   and converting them into NSEvents

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  Pascal Forget <pascal@wsc.com>
   Date: January 1996
   
   This file is part of the GNUstep GUI X/DPS Backend.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef _GNUstep_H_PXKEventFactory
#define _GNUstep_H_PXKEventFactory

#include <gnustep/xdps/stdpxk.h>
#include <AppKit/NSEvent.h>

NSEvent *
currentEvent(void);

NSEvent *
nextEvent(void);

#if 0

void
discardsEventsMatchingMaskBeforeEvent(unsigned int mask, NSEvent *lastEvent);

NSEvent *
nextEventMatchingMaskUntilDateInModeDequeue(unsigned int mask,
					    NSDate *expiration,
					    NSString *mode,
					    BOOL flag);

void
postEventAtStart(NSEvent *event, BOOL flag);
#endif

#endif /* _GNUstep_H_PXKEventFactory */
