/* 
   PXKTestImage.h

   Objc wrapper around X pixmaps

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  Pascal Forget <pascal@wsc.com>
   Date: October 1995
   
   This file is part of the GNUstep GUI X/DPS Backend.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef _GNUstep_H_PXKTestImage
#define _GNUstep_H_PXKTestImage

#include <gnustep/xdps/stdpxk.h>
#include <gnustep/xdps/PXKView.h>

@interface PXKTestImage : NSObject
{
  NSRect frame;
  XImage *xImage;
  NSSize size;
  char *name;
  char *path;
}

+ imageNamed:(const char *)str;
+ initialize;

- drawInView:(PXKView *)view at:(NSPoint)location;

- initWithSize:(NSSize)initialSize;

- initFromBitmap:(char *)bits size:(NSSize)newSize;
- initFromPath:(const char *)filename size:(NSSize)newSize;
- (const char *)name;
- setName:(const char *)newName;
- (NSSize)size;
- (XImage *)xImage;

@end

#endif /* _GNUstep_H_PXKTestImage */
