/* 
   stdpxk.h

   Standard includes for all GNUstep GUI X/DPS Backend

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  Scott Christley <scottc@net-community.com>
   Date: 1996
   
   This file is part of the GNUstep GUI X/DPS Backend.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef _GNUstep_H_STDPXK
#define _GNUstep_H_STDPXK

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <X11/cursorfont.h>
#include <math.h>
#include <objc/Object.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/Xatom.h>
#include <X11/keysym.h>
#include <unistd.h>
#include <X11/keysymdef.h>

#include <Foundation/NSArray.h>
#include <Foundation/NSAutoreleasePool.h>
#include <Foundation/NSDate.h>
#include <Foundation/NSString.h>
#include <Foundation/NSGeometry.h>

/* Some useful #defines */

#define NSX_MAX(a,b) (a>b)?a:b

/* Not part of Types and constants */

typedef float NSCoord;

/* END Not part of Types and constants */

/* XWindow back-end specific stuff */

extern Display *pxkDisplay;
/* extern int pxkScreen; */
extern GC pxkBlackGC;
extern GC pxkWhiteGC;
extern GC pxkLightgrayGC;
extern GC pxkDarkgrayGC;

#include <gnustep/xdps/PXKDrawingEngine.h>

#endif /* _GNUstep_H_STDPXK */
