/*
 * Filename: PXKObject.m
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: Provide the basic functionality to all PXKit classes
 *
 * Author:   Pascal Forget
 * Date:     August 1995
 *
 * Have a nice day!
 *
 * Copyright (C) 1995 Pascal Forget
 * All Rights Reserved
 */

#include "PXKObject.h"

@implementation PXKObject

+ initialize;
{
    return self;
}

- autorelease; /* Not implemented yet */
{
    return self;
}

- (void)dealloc;
{
    [super free];
}

- init;
{
    [super init];
    isAutoreleased = NO;
    delegate = nil;
    return self;
}

- (id)delegate;
{
    return delegate;
}

- release;
{
    refCount--;
    
    if (refCount < 1) {
	[self dealloc];
    }
    return self;
}

- (BOOL)respondsToSelector:(SEL)aSel;
{
    return YES; /* not implemented yet */
}

- retain;
{
    refCount++;
    return self;
}

- (void)setDelegate:(id)anObject;
{
    delegate = anObject;
}

@end

