#!/bin/bash
WHOAMI=root
VERSION=0.9.2

LOCAL=`pwd`
DEST_INCDIR=./include
DEST_LIBDIR=./lib
DEST_MANDIR=./man

echo   ""
echo   "  The PCthread files will be installed locally in the following"
echo   "  subdirectories under "$LOCAL":"
echo   ""
echo   "        "$DEST_INCDIR""
echo   "        "$DEST_INCDIR"/dce"
echo   "        "$DEST_LIBDIR""
echo   ""
echo -n " Continue (N): "
read confirm

if [ "$confirm" != "Y" ]
then
    if [ "$confirm" != "y" ]
    then
        echo ""
        echo "  *** Installation aborted! ***"
        echo ""
        exit 1
    fi
fi

cd $DEST_INCDIR
rm -f pthread.h typedefs.h ./dce/pthread.h
ln -s ./pthreads/pthread.h pthread.h
ln -s ./pthreads/typedefs.h typedefs.h
ln -s ./pthreads/pthread.h ./dce/pthread.h

cd ../$DEST_LIBDIR
rm -f libpthreads.a libpthreads.so.1
ln -s ./pthreads/libpthreads.a-V$VERSION libpthreads.a
ln -s ./pthreads/libpthreads.so.$VERSION libpthreads.so.1
cd $LOCAL

echo ""
echo "  Installation complete.  To install man pages, change to root"
echo "  and issue <make install.man>."
echo ""
echo "  For additional information see the pthread_info man page."
echo ""
exit 0
