#!/bin/bash
WHOAMI=root
VERSION=0.9.2

if [ `whoami` != "$WHOAMI" ]
then
   echo ""
   echo "  Sorry, you must have root privileges to execute this script"
   echo ""
   exit 1
fi

DEST_MANDIR=/usr/man/man3

echo   ""
echo   "  The PCthread man pages will be installed "$DEST_MANDIR.""
echo   ""
echo -n " Continue (N): "
read confirm

if [ "$confirm" != "Y" ]
then
    if [ "$confirm" != "y" ]
    then
        echo ""
        echo "  *** Installation aborted! ***"
        echo ""
        exit 1
    fi
fi

if [ ! -d $DEST_MANDIR ]
then
    echo    "  "$DEST_MANDIR" does not exist and must be created to proceed."
    echo    ""
    echo    "  Installation of man pages aborted!"
    exit 1
fi

rm -f $DEST_MANDIR/pthread_*.3.gz

# This block of commands copyies the manpages into the destination directory
# and then sets the appropriate symbolic links.
cp ./man/man3/pthread_*.3.gz $DEST_MANDIR

ln -s $DEST_MANDIR/pthread_mutex_lock.3.gz $DEST_MANDIR/pthread_mutex_unlock.3.gz
ln -s $DEST_MANDIR/pthread_mutex_init.3.gz $DEST_MANDIR/pthread_mutex_destroy.3.gz
ln -s $DEST_MANDIR/pthread_lock_global_np.3.gz $DEST_MANDIR/pthread_unlock_global_np.3.gz
ln -s $DEST_MANDIR/pthread_attr_init.3.gz $DEST_MANDIR/pthread_attr_destroy.3.gz
ln -s $DEST_MANDIR/pthread_mutexattr_init.3.gz $DEST_MANDIR/pthread_mutexattr_destroy.3.gz
ln -s $DEST_MANDIR/pthread_condattr_init.3.gz $DEST_MANDIR/pthread_condattr_destroy.3.gz
ln -s $DEST_MANDIR/pthread_cond_init.3.gz $DEST_MANDIR/pthread_cond_destroy.3.gz
ln -s $DEST_MANDIR/pthread_cond_signal.3.gz $DEST_MANDIR/pthread_cond_broadcast.3.gz
ln -s $DEST_MANDIR/pthread_key_create.3.gz $DEST_MANDIR/pthread_key_delete.3.gz
ln -s $DEST_MANDIR/pthread_key_getspecific.3.gz $DEST_MANDIR/pthread_setspecific.3.gz
ln -s $DEST_MANDIR/pthread_sigwait.3.gz $DEST_MANDIR/sigwait.3.gz
echo ""
echo "  Installation of man pages is complete.  Try the following"
echo "  command to see if everything worked:"
echo ""
echo "      prompt> man pthread_info"
echo ""
exit 0
