#!/bin/bash
WHOAMI=root
VERSION=0.9.2

if [ `whoami` != "$WHOAMI" ]
then
   echo ""
   echo "  Sorry, you must have root privileges to execute this script"
   echo ""
   exit 1
fi

LOCAL=`pwd`
DEST_INCDIR=./include
DEST_LIBDIR=./lib
DEST_MANDIR=/usr/man/man3

echo   ""
echo   "  The PCthread facility will be restored to the condition it"
echo   "  was prior to its installation."
echo   ""
echo -n " Continue (N): "
read confirm

if [ "$confirm" != "Y" ]
then
    if [ "$confirm" != "y" ]
    then
        echo ""
        echo "  *** Removal aborted! ***"
        echo ""
        exit 1
    fi
fi

cd $DEST_INCDIR
rm -f pthread.h typedefs.h ./dce/pthread.h
echo    ""
echo   "  Header files removed..."

cd ../$DEST_LIBDIR
rm -f libpthreads.a libpthreads.so.1
cd $LOCAL
echo    "  Libraries remove..."

rm -f $DEST_MANDIR/pthread_*.3.gz
echo    "  Manpages removed..."

echo ""
echo "  Removal complete!  To reinstall the header and library files"
echo "  execute <make install> and <make install.man>"
echo ""
exit 0
