#include "pthread_socket.h"
#include "pthread_io_delay.h"

extern void fd_init( void );
extern pthread_once_t io_initialized;

static inline
_syscall2(long,socketcall,int,call,unsigned long *,args); 

static int
syscall_listen( int fd, int backlog )
{
   unsigned long args[2];
   int ret;

   args[0] = (unsigned long) fd;
   args[1] = (unsigned long) backlog;

   LOCK_ON

       ret = socketcall( SYS_LISTEN, args );

   LOCK_OFF

   return( ret );
}

/*--------------------------------------------------------------------------
 * @@          L I S T E N
 *-------------------------------------------------------------------------*/
int 
listen( int fd, int backlog )
{
   int st;

   st = pthread_once( &io_initialized, fd_init );
   if( st != SUCCESS )
       return( NOTOK );
   /*
    * listen is not blocking call. Just execute the system call and
    * return.
    */
   return( syscall_listen( fd, backlog ));
}
