/*
 * -- sys_io.S
 */
.file  "sys_io.S"
#include <sys/syscall.h>

#ifdef _ELF_                /* Assemble for ELF format */

.global    errno

.text
.globl     sys_io_read
.globl     sys_io_write

   .align 4
sys_io_error:
   movl    %eax, errno
   movl    $-1, %eax
   ret

   .align 4
sys_io_read:
   push    %ebx
   mov     8(%esp), %ebx
   mov     12(%esp), %ecx
   mov     16(%esp), %edx
   movl    $SYS_read, %eax
   int     $0x80
   pop     %ebx
   testl   %eax, %eax
   jl     _sys_io_error
   ret

   .align 4
sys_io_write:
   push    %ebx
   mov     8(%esp), %ebx
   mov     12(%esp), %ecx
   mov     16(%esp), %edx
   movl    $SYS_write, %eax
   int     $0x80
   pop     %ebx
   testl   %eax, %eax
   jl      sys_io_error
   ret

#else       /* Assemble for A.OUT format */

.global    _errno

.text
.globl     _sys_io_read
.globl     _sys_io_write

   .align 4
_sys_io_error:
   movl    %eax, _errno
   movl    $-1, %eax
   ret

   .align 4
_sys_io_read:
   push    %ebx
   mov     8(%esp), %ebx
   mov     12(%esp), %ecx
   mov     16(%esp), %edx
   movl    $SYS_read, %eax
   int     $0x80
   pop     %ebx
   testl   %eax, %eax
   jl     _sys_io_error
   ret

   .align 4
_sys_io_write:
   push    %ebx
   mov     8(%esp), %ebx
   mov     12(%esp), %ecx
   mov     16(%esp), %edx
   movl    $SYS_write, %eax
   int     $0x80
   pop     %ebx
   testl   %eax, %eax
   jl     _sys_io_error
   ret
#endif /* NOT ELF */
