#ifndef _errorlog_
#define _errorlog_
#include <errno.h>
#include <stdarg.h>

#define ERRLOG_C_STRLEN ((size_t) 1024)

/* 
 * Initialize the syslog() facility
 */
extern void
log_open( const char *ident, int option, int facility );

/*
 * Nonfatal error related to a system call. Print a message with the 
 * system's errno value and return.
 */
void
log_ret(const char *fmt, ...);

/* 
 * Fatal error related to a system call.  Print a message and terminate.
 */
extern void
log_sys(const char *fmt, ...);

/* 
 * Nonfatal error unrelated to a system call. Print a message and return.
 */
void
log_msg(const char *fmt, ...);

/* 
 * Fatal error unrelated to a system call.  Print a message and terminate.
 */
extern void
log_quit(const char *fmt, ...);

#endif
